# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "agility"
version = "0.1.0"
authors = ["Dexer Matters"]
build = false
exclude = [
    ".github/",
    "examples/",
    "tests/trybuild/",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A powerful and elegant reactive programming library for Rust, inspired by category theory"
homepage = "https://github.com/ICmd-dev/agility"
documentation = "https://docs.rs/agility"
readme = "README.md"
keywords = [
    "reactive",
    "signals",
    "frp",
    "async",
    "category-theory",
]
categories = [
    "asynchronous",
    "data-structures",
    "concurrency",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ICmd-dev/agility"

[lib]
name = "agility"
path = "src/lib.rs"

[dependencies.agility-macros]
version = "0.1.0"

[dev-dependencies.trybuild]
version = "1.0"
